﻿@model ccu_basketball.ViewModel.LeagueAdminViewModel
@{
    ViewData["Title"] = "編輯隊伍";
    Layout = "~/Views/Shared/_BackstageLayout.cshtml";
}

<section id="edit-team">
    <div id="page-wrapper">
        <div class="container">
            <div>
                <h1 style="margin-bottom:2.5rem">編輯隊伍名稱及分區</h1>
            </div>
            <div class="action-button">
                <button class="btn panel-green create-team" data-toggle="modal" data-target="#createTeamModal">新增隊伍</button>
                <button class="btn btn-danger delete-team">刪除隊伍</button>
                <button style="display:none" class="btn btn-secondary" id="cancel-delete">取消</button>
            </div>
            <div>
                @*<div class="form-group">
                    <label>可選擇特定學年度進行隊伍編輯</label>
                    <select name="semester" class="form-control col" id="nowSemester">
                        @foreach (int semester in Model.AllSemester)
                        {
                            <option value="@semester">@(semester)學年度</option>
                        }
                    </select>
                </div>*@
                <div class="form-row" id="form-title">
                    <label class="col1">隊伍名稱</label>
                    <label class="col1">分區</label>
                    <label class="col2">季後賽</label>
                    <label class="col"></label>
                </div>
                @foreach (var team in Model.NewestTeams)
                {
                    <div class="form-row new-teams" team-id="@team.Team_Id">
                        <div class="col1">
                            <input type="text" class="form-control" placeholder="請輸入隊伍名稱" value="@team.Team_Name">
                        </div>
                        <div class="col1">
                            <select class="form-control">
                                @if (team.Area == "west")
                                {
                                    <option value="west" selected>西區</option>
                                    <option value="east">東區</option>
                                }
                                else
                                {
                                    <option value="west">西區</option>
                                    <option value="east" selected>東區</option>
                                }
                            </select>
                        </div>
                        <div class="col2">
                            @if (team.Playoff)
                            {
                                <input type="checkbox" id="playoff" checked />
							}
							else
							{
                                <input type="checkbox" id="playoff" />
							}
                            </div>
                        <div class="col">
                            <button class="btn btn-primary first-update-btn" data-toggle="modal" data-target="#updateTeamModal">更改</button>
                            <button style="display:none" class="btn btn-danger first-delete-btn" data-toggle="modal" data-target="#delTeamModal" >刪除</button>
                        </div>
                    </div>
                }

                <!-- Update Modal -->
                <div class="modal" id="updateTeamModal" tabindex="-1" role="dialog" aria-labelledby="updateTeamModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h2 class="modal-title" id="updateTeamModalLabel">更新隊伍資訊</h2>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                是否確定更新隊伍資訊
                            </div>
                            <div class="modal-footer">
                                <form method="post" action="@Url.Action("UpdateTeam", "LeagueAdmin")">
                                    <input type="hidden" name="updateTeamId"/>
                                    <input type="hidden" name="teamName"/>
                                    <input type="hidden" name="area"/>
                                    <input type="hidden" name="playoff"/>
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">關閉</button>
                                    <button type="submit" class="btn btn-primary">更新</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Delete Modal -->
                <div class="modal" id="delTeamModal" tabindex="-1" role="dialog" aria-labelledby="delTeamModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h2 class="modal-title" id="delTeamModalLabel">刪除隊伍</h2>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                是否確定刪除隊伍
                            </div>
                            <div class="modal-footer">
                                <form method="post" action="@Url.Action("DeleteTeam","LeagueAdmin")">
                                    <input type="hidden" name="delTeamId" />
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">關閉</button>
                                    <button type="submit" class="btn btn-danger" id="check-delete-btn">刪除</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Create Modal -->
                <div class="modal" id="createTeamModal" tabindex="-1" role="dialog" aria-labelledby="createTeamModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h2 class="modal-title" id="createTeamModalLabel">新增隊伍</h2>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <form method="post" action="@Url.Action("CreateTeam","LeagueAdmin")">
                                <div class="modal-body">
                                    <p>輸入欲新增的隊伍資訊</p>
                                    <label>隊伍名稱</label>
                                    <input class="form-control" type="text" name="teamName" placeholder="請輸入隊伍名稱"/>
                                    <label>分區</label>
                                    <select name="area" class="form-control">
                                        <option value="west">西區</option>
                                        <option value="east">東區</option>
                                    </select>
                                    <input type="hidden" name="semester" value="@Model.AllSemester.First()"/>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">關閉</button>
                                    <button type="submit" class="btn panel-green" style="color:white;">新增</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>
